Bug 1381613 - dnssec-tools-2.2-3.fc26 FTBFS: 'NS_ALG_MD5RSA' undeclared here (not in a function)
Summary: dnssec-tools-2.2-3.fc26 FTBFS: 'NS_ALG_MD5RSA' undeclared here (not in a func...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-tools
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wes Hardaker
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
: 1423336 1603811 (view as bug list)
Depends On:
Blocks: F29FTBFS F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-10-04 14:43 UTC by Petr Pisar
Modified: 2018-10-30 17:22 UTC (History)
7 users (show)

Fixed In Version: dnssec-tools-2.2.3-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-27 09:24:32 UTC


Attachments (Terms of Use)
build.log (33.97 KB, text/plain)
2018-05-28 18:51 UTC, Fedora Release Engineering
no flags Details
root.log (81.78 KB, text/plain)
2018-05-28 18:51 UTC, Fedora Release Engineering
no flags Details
state.log (631 bytes, text/plain)
2018-05-28 18:51 UTC, Fedora Release Engineering
no flags Details

Description Petr Pisar 2016-10-04 14:43:06 UTC
dnssec-tools-2.2-3.fc26 fails to build in F26:

/bin/sh ../libtool --mode=compile gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -Ulinux -Dlinux=linux -Ulinux -Dlinux=linux -DLIBVAL_CONFIGURED=1  -I../include   -c -o res_debug.lo res_debug.c
libtool: compile:  gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -Ulinux -Dlinux=linux -Ulinux -Dlinux=linux -DLIBVAL_CONFIGURED=1 -I../include -c res_debug.c  -fPIC -DPIC -o .libs/res_debug.o
res_debug.c:367:6: error: 'NS_ALG_MD5RSA' undeclared here (not in a function)
     {NS_ALG_MD5RSA, "RSA", "RSA KEY with MD5 hash"},
      ^~~~~~~~~~~~~
res_debug.c:370:6: error: 'NS_ALG_EXPIRE_ONLY' undeclared here (not in a function)
     {NS_ALG_EXPIRE_ONLY, "EXPIREONLY", "No algorithm"},
      ^~~~~~~~~~~~~~~~~~
res_debug.c:371:6: error: 'NS_ALG_PRIVATE_OID' undeclared here (not in a function)
     {NS_ALG_PRIVATE_OID, "PRIVATE", "Algorithm obtained from OID"},
      ^~~~~~~~~~~~~~~~~~

The difference between working and failing build root is:

        openssl-devel 	1:1.0.2h-3.fc26 	> 	1:1.0.2i-1.fc26
	openssl-libs 	1:1.0.2h-3.fc26 	> 	1:1.0.2i-1.fc26
	krb5-devel 	1.14.4-1.fc26 	> 	1.14.4-2.fc26
	krb5-libs 	1.14.4-1.fc26 	> 	1.14.4-2.fc26
	crypto-policies 	20160718-2.gitdb5ca59.... 	> 	20160921-1.git75b9b04....
	bash 	4.3.43-2.fc26 	> 	4.3.43-3.fc26
	libkadm5 	1.14.4-1.fc26 	> 	1.14.4-2.fc26
	libcrypt-nss 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	glibc 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	glibc-devel 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	glibc-common 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	glibc-headers 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	glibc-all-langpacks 	2.24.90-6.fc26 	> 	2.24.90-8.fc26
	sqlite-libs 	3.14.1-1.fc26 	> 	3.14.2-1.fc26
	binutils 	2.27-5.fc26 	> 	2.27-8.fc26
	diffutils 	3.3-13.fc24 	> 	3.5-1.fc26
	kernel-headers 	4.8.0-0.rc7.git0.1.... 	> 	4.8.0-0.rc7.git2.1....

Comment 1 Petr Pisar 2017-02-20 15:45:16 UTC
*** Bug 1423336 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2017-02-28 10:24:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Scott Schmit 2018-04-07 18:26:39 UTC
Note that this bug has now resulted in dnssec-tools being uninstallable on Fedora 27:

On a Fedora 27 system that does not already have dnssec-tools installed:
# dnf install dnssec-tools
Error: 
 Problem: conflicting requests
  - nothing provides perl(:MODULE_COMPAT_5.24.0) needed by dnssec-tools-2.2-3.fc25.x86_64


On a Fedora 26 system attempting the upgrade to Fedora 27:
# dnf system-upgrade download --releasever=27
...
Error: 
 Problem 1: problem with installed package dnssec-tools-perlmods-2.2-3.fc25.x86_64
  - package dnssec-tools-perlmods-2.2-3.fc25.x86_64 requires libperl.so.5.24()(64bit), but none of the providers can be installed
  - perl-libs-4:5.24.3-396.fc26.x86_64 does not belong to a distupgrade repository
 Problem 2: problem with installed package dnssec-tools-2.2-3.fc25.x86_64
  - package dnssec-tools-2.2-3.fc25.x86_64 requires perl(:MODULE_COMPAT_5.24.0), but none of the providers can be installed
  - package perl-version-6:0.99.18-5.fc27.x86_64 requires libperl.so.5.26()(64bit), but none of the providers can be installed
  - cannot install both perl-libs-4:5.26.1-403.fc27.x86_64 and perl-libs-4:5.24.3-396.fc26.x86_64
  - cannot install both perl-libs-4:5.26.1-401.fc27.x86_64 and perl-libs-4:5.24.3-396.fc26.x86_64
  - problem with installed package perl-version-5:0.99.18-1.fc26.x86_64
  - perl-version-5:0.99.18-1.fc26.x86_64 does not belong to a distupgrade repository
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)

Comment 4 Fedora End Of Life 2018-05-03 08:26:30 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Petr Pisar 2018-05-03 13:32:25 UTC
Still broken everywhere.

Comment 6 Fedora Release Engineering 2018-05-28 18:51:14 UTC
Created attachment 1443732 [details]
build.log

Comment 7 Fedora Release Engineering 2018-05-28 18:51:20 UTC
Created attachment 1443733 [details]
root.log

Comment 8 Fedora Release Engineering 2018-05-28 18:51:24 UTC
Created attachment 1443734 [details]
state.log

Comment 9 Scott Schmit 2018-06-01 11:01:24 UTC
Upstream appears to be completely dead:
https://www.dnssec-tools.org/mailman/listinfo/ is 404
https://www.dnssec-tools.org/trac/ leads to an infinite redirect loop
https://www.dnssec-tools.org/svn/dnssec-tools/ is 404

plus, Wes has not responded to this bug, and he made the last commit to the SVN repo checkout I have from November 2017 in 2014.

Comment 10 Wes Hardaker 2018-06-04 15:27:52 UTC
Hiya,

I just pushed compile fixes to the git repo.  I'm in discussions with the owners of the dnssec-tools project (PARSONS, which I left about 2 years ago) to revamp the project.  Give me another week to work it out with them.

github.com/hardaker/dnssec-tools FYI has compilation fixes, but I haven't tested the code to ensure it still works.  There was a lot of breakage due to OpenSSL API changes.

Comment 11 Wes Hardaker 2018-06-04 15:28:33 UTC
Hiya,

I just pushed compile fixes to the git repo.  I'm in discussions with the owners of the dnssec-tools project (PARSONS, which I left about 2 years ago) to revamp the project.  Give me another week to work it out with them.

github.com/hardaker/dnssec-tools FYI has compilation fixes, but I haven't tested the code to ensure it still works.  There was a lot of breakage due to OpenSSL API changes.

Comment 12 Scott Schmit 2018-07-21 23:21:55 UTC
It's been over 6 weeks. Any progress?  I'm still unable to install a version that works, and this still blocks a system-upgrade if I have this installed.

Comment 13 Adam Williamson 2018-07-26 19:30:15 UTC
*** Bug 1603811 has been marked as a duplicate of this bug. ***

Comment 14 Wes Hardaker 2018-07-30 20:43:55 UTC
I now have a working version and am talking with the upstream source (no longer me) about getting the project transferred to me.  In the mean time, I'm trying to push a build but am running into permission denied issues with pkgs.fedoraproject.  It's possible the package owner has changed away from me?

Comment 15 Wes Hardaker 2018-07-30 20:50:24 UTC
nope, ssh key switch.  Should be pushing a new build shortly.

Comment 16 Fedora Update System 2018-07-30 21:22:06 UTC
dnssec-tools-2.2.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2165257f6b

Comment 17 Fedora Update System 2018-07-31 18:33:09 UTC
dnssec-tools-2.2.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2165257f6b

Comment 18 Scott Schmit 2018-08-01 02:32:31 UTC
Any hope of this getting pushed to f27 as well?

Comment 19 Fedora Update System 2018-08-01 15:09:15 UTC
dnssec-tools-2.2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2416104a2

Comment 20 Wes Hardaker 2018-08-01 15:10:02 UTC
Yep.  I ran out of time after submitting the f27 build and had to wait.  As you see above, I just pushed the update.

Comment 21 Fedora Update System 2018-08-02 14:29:32 UTC
dnssec-tools-2.2.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2416104a2

Comment 22 Jan Kurik 2018-08-14 11:23:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 23 Scott Schmit 2018-08-26 17:54:09 UTC
On Fedora 27, I got this error:
Can't locate Mail/Send.pm in @INC (you may need to install the Mail::Send module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/lib64/perl5/vendor_perl/Net/DNS/SEC/Tools/dnssectools.pm line 18.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/Net/DNS/SEC/Tools/dnssectools.pm line 18.
Compilation failed in require at /usr/bin/zonesigner line 43.
BEGIN failed--compilation aborted at /usr/bin/zonesigner line 43.

Which seems like a missing dependency.

So I then did dnf install 'perl(Mail::Send)'

After that, I got:

UNIVERSAL does not export anything at /usr/lib64/perl5/vendor_perl/Net/DNS/SEC/Tools/tooloptions.pm line 19.
BEGIN failed--compilation aborted at /usr/lib64/perl5/vendor_perl/Net/DNS/SEC/Tools/tooloptions.pm line 19.
Compilation failed in require at /usr/bin/zonesigner line 49.
BEGIN failed--compilation aborted at /usr/bin/zonesigner line 49.

When I comment out line 19, I stop getting errors, and the signed zones load successfully.

Comment 24 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:24:32 UTC
There has been at least one successfull build after mass rebuild.

dnssec-tools-2.2.1-1.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1132037

Comment 25 Scott Schmit 2018-08-28 02:44:53 UTC
FWIW, I have the same issues as in Comment 23 with Fedora 28.

Should I file a separate bug for those?  It may build, but on F27 & F28, it's not working without some fixes...

Comment 26 Wes Hardaker 2018-08-29 21:59:26 UTC
Pushed requirement for Mail::Send

Comment 27 Wes Hardaker 2018-08-29 23:13:09 UTC
Updated to upstream 2.2.3 which should fix all issues?  Hopefully?

Comment 28 Scott Schmit 2018-08-30 01:05:36 UTC
Yes (on both counts), thank you!

Comment 29 Fedora Update System 2018-08-30 16:08:44 UTC
dnssec-tools-2.2.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-36f4ec8918

Comment 30 Fedora Update System 2018-08-30 16:09:08 UTC
dnssec-tools-2.2.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefc954e64

Comment 31 Fedora Update System 2018-08-30 16:09:49 UTC
dnssec-tools-2.2.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e535ca64b

Comment 32 Fedora Update System 2018-08-30 17:37:09 UTC
dnssec-tools-2.2.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e535ca64b

Comment 33 Fedora Update System 2018-08-30 19:29:41 UTC
dnssec-tools-2.2.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eefc954e64

Comment 34 Fedora Update System 2018-08-31 16:22:09 UTC
dnssec-tools-2.2.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-36f4ec8918

Comment 35 Fedora Update System 2018-10-08 20:27:04 UTC
dnssec-tools-2.2.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3ff1b4301

Comment 36 Fedora Update System 2018-10-08 20:27:19 UTC
dnssec-tools-2.2.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c479175612

Comment 37 Fedora Update System 2018-10-08 20:27:34 UTC
dnssec-tools-2.2.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2aed076c4d

Comment 38 Fedora Update System 2018-10-09 01:18:02 UTC
dnssec-tools-2.2.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3ff1b4301

Comment 39 Fedora Update System 2018-10-09 02:30:30 UTC
dnssec-tools-2.2.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c479175612

Comment 40 Fedora Update System 2018-10-09 05:12:50 UTC
dnssec-tools-2.2.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2aed076c4d

Comment 41 Fedora Update System 2018-10-30 17:22:12 UTC
dnssec-tools-2.2.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.